#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "ui_mainwindow.h"

#include <opencv/cv.h>
#include <opencv/highgui.h>
#include <opencv/cxcore.h>

class MainWindow : public QMainWindow, private Ui::MainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);

private slots:
    void on_stopButton_clicked();

protected:
    void detect_and_draw(IplImage* img);
    void putImage(IplImage *cvimage);
    void drawFPS(IplImage *img);
    void closeEvent(QCloseEvent * event);
};

#endif // MAINWINDOW_H
